const files = [
  {
    title: 'Thailand Privilege Card',
    by: 'John Doe',
    source:
      'https://onepagelove.imgix.net/2025/02/opl-master-24.jpg?w=780&max-h=1040&fit=crop&fp-y=0&auto=compress',
  },
  {
    title: 'Kinder Praxis',
    by: 'Sarah Doe',
    source:
      'https://onepagelove.imgix.net/2025/02/opl-master-23.jpg?w=780&max-h=1040&fit=crop&fp-y=0&auto=compress',
  },
  {
    title: 'Y2K Abstract 3D Illustrations',
    by: 'Alex Kuzmin',
    source:
      'https://onepagelove.imgix.net/2025/02/opl-master-22.jpg?w=780&max-h=1040&fit=crop&fp-y=0&auto=compress',
  },
  {
    title: 'Hexful',
    by: 'Felix Doe',
    source:
      'https://onepagelove.imgix.net/2025/02/opl-master-21.jpg?w=780&max-h=1040&fit=crop&fp-y=0&auto=compress',
  },
  {
    title: 'Rocco Barbaro',
    by: 'Kate Doe',
    source:
      'https://onepagelove.imgix.net/2025/02/opl-master-rb.jpg?w=780&max-h=1040&fit=crop&fp-y=0&auto=compress',
  },
  {
    title: 'Design Mind',
    by: 'Kamil Aszkowski',
    source:
      'https://onepagelove.imgix.net/2025/02/opl-master-16.jpg?w=780&max-h=1040&fit=crop&fp-y=0&auto=compress',
  },
  {
    title: 'Handkit',
    by: 'Matthew James',
    source:
      'https://onepagelove.imgix.net/2025/02/opl-master-7.jpg?w=780&max-h=1040&fit=crop&fp-y=0&auto=compress',
  },
  {
    title: 'Typos',
    by: 'William James',
    source:
      'https://onepagelove.imgix.net/2025/02/opl-master-8.jpg?w=780&max-h=1040&fit=crop&fp-y=0&auto=compress',
  },
  {
    title: 'Handy Components',
    by: 'Paula Lee',
    source:
      'https://onepagelove.imgix.net/2025/02/opl-master-1.jpg?w=780&max-h=1040&fit=crop&fp-y=0&auto=compress',
  },
];

export default function Programming() {
  return (
    <div className='flex flex-col items-center justify-center bg-muted p-6 md:p-10'>
      <h2 className='text-center text-2xl lg:text-3xl font-bold'>
        Programming Page
      </h2>
      <p className='mt-1 text-center text-muted-foreground'>
        Here are some of the apps our members have created.
      </p>

      <ul
        role='list'
        className='mt-8 grid grid-cols-2 gap-x-4 gap-y-8 sm:grid-cols-3 sm:gap-x-6 lg:grid-cols-4 xl:gap-x-8'
      >
        {files.map((file) => (
          <li key={file.source} className='relative'>
            <div className='group overflow-hidden rounded-lg bg-gray-100 focus-within:ring-2 focus-within:ring-violet-500 focus-within:ring-offset-2 focus-within:ring-offset-gray-100'>
              <img
                alt=''
                src={file.source}
                className='pointer-events-none aspect-[10/7] object-cover group-hover:opacity-75'
              />
              <button
                type='button'
                className='absolute inset-0 focus:outline-none'
              >
                <span className='sr-only'>View details for {file.title}</span>
              </button>
            </div>
            <p className='pointer-events-none mt-2 block truncate text-sm font-medium text-gray-900'>
              {file.title}
            </p>
            <p className='pointer-events-none block text-sm font-medium text-gray-500'>
              By {file.by}
            </p>
          </li>
        ))}
      </ul>
    </div>
  );
}
