import { Button } from '@/components/ui/button';
import {
  Card,
  CardContent,
  CardDescription,
  CardFooter,
  CardHeader,
  CardTitle,
} from '@/components/ui/card';
import { Input } from '@/components/ui/input';
import {
  Select,
  SelectContent,
  SelectItem,
  SelectTrigger,
  SelectValue,
} from '@/components/ui/select';

export default function ExplorePage() {
  return (
    <div className='container mx-auto px-4 py-8'>
      <h1 className='text-4xl font-bold mb-8'>Explore Listings</h1>
      <div className='flex flex-col md:flex-row gap-4 mb-8'>
        <Input className='md:w-1/3' placeholder='Search listings...' />
        <Select>
          <SelectTrigger className='md:w-1/4'>
            <SelectValue placeholder='Category' />
          </SelectTrigger>
          <SelectContent>
            <SelectItem value='textbooks'>Textbooks</SelectItem>
            <SelectItem value='electronics'>Electronics</SelectItem>
            <SelectItem value='clothing'>Clothing</SelectItem>
            <SelectItem value='furniture'>Furniture</SelectItem>
          </SelectContent>
        </Select>
        <Button>Search</Button>
      </div>
      <div className='grid gap-6 md:grid-cols-2 lg:grid-cols-3'>
        {[1, 2, 3, 4, 5, 6].map((item) => (
          <Card key={item}>
            <CardHeader>
              <CardTitle>Item Title {item}</CardTitle>
              <CardDescription>Category • Posted 2 days ago</CardDescription>
            </CardHeader>
            <CardContent>
              <p>
                Brief description of the item. This could be a textbook,
                electronic device, or any other item relevant to university
                students.
              </p>
            </CardContent>
            <CardFooter>
              <Button>View Details</Button>
            </CardFooter>
          </Card>
        ))}
      </div>
    </div>
  );
}
