import { Button } from '@/components/ui/button';
import {
  Card,
  CardContent,
  CardDescription,
  CardFooter,
  CardHeader,
  CardTitle,
} from '@/components/ui/card';
import { Badge } from '@/components/ui/badge';

export default function OrdersPage() {
  const orders = [
    { id: 1, date: '2023-05-15', status: 'Delivered', total: 75 },
    { id: 2, date: '2023-06-02', status: 'In Transit', total: 30 },
    { id: 3, date: '2023-06-10', status: 'Processing', total: 50 },
  ];

  return (
    <div className='container mx-auto px-4 py-8'>
      <h1 className='text-4xl font-bold mb-8'>Your Orders</h1>
      <div className='grid gap-6'>
        {orders.map((order) => (
          <Card key={order.id}>
            <CardHeader>
              <CardTitle>Order #{order.id}</CardTitle>
              <CardDescription>Placed on {order.date}</CardDescription>
            </CardHeader>
            <CardContent>
              <div className='flex justify-between items-center'>
                <Badge
                  variant={
                    order.status === 'Delivered' ? 'default' : 'secondary'
                  }
                >
                  {order.status}
                </Badge>
                <span className='font-bold'>Total: £{order.total}</span>
              </div>
            </CardContent>
            <CardFooter>
              <Button variant='outline'>View Order Details</Button>
            </CardFooter>
          </Card>
        ))}
      </div>
    </div>
  );
}
